libctl (4.3.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.3.0 (no change)
  * Add Build-Depends-Package field in symbols files

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 08 May 2019 18:06:46 +0200

libctl (4.1.4-3) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 23 Dec 2018 21:45:31 +0100

libctl (4.1.4-2) experimental; urgency=medium

  * debian/control: libctl-dev needs to depend on guile 2.2

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 20 Nov 2018 22:57:31 +0100

libctl (4.1.4-1) experimental; urgency=medium

  * New upstream release
  * debian/control: depend on guile 2.2 (Closes: #885202)
  * debian/libctl7.symbols: update symbols file
  * debian/missing-sources: no longer needed
  * lintian-overrides related to docs no longer needed
  * debian/copyright: Expat and BSD license no longer needed
  * debian/control: bump standard to 4.2.1 (no change)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 17 Nov 2018 22:57:31 +0100

libctl (4.1.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control: always depend on guile 2.0 (Closes: #902977)
  * introduce libctlgeom (Closes: #906028, #906029)
    (thanks to Ruben Undheim for the patch)
  * debian/libctl7.symbols: some symbols disappeared and no soname bump
                            by upstream :-(

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 13 Aug 2018 21:40:47 +0200

libctl (4.1.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.1.4 (no change)
  * debian/control: bump soname of libctl from 6 to 7
  * debian/rules: remove get-orig-source target

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 18 Jun 2018 18:44:11 +0200

libctl (4.0.0-2) experimental; urgency=medium

  * debian/control: add missing Conflicts: (Closes: #891011)
                    (needed for all older version, here libctl5)
  * debian/control: add VCS URLs
  * debian/rules: split override_dh_installdocs (Closes: #890854)
                  into override_dh_installdocs-arch
                  and override_dh_installdocs-indep

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 17 Mar 2018 18:59:19 +0100

libctl (4.0.0-1) experimental; urgency=medium

  * New upstream release
  * upload to experimental
  * debian/control: bump standard to 4.1.3 (no change)
  * debian/control: use dh11
  * debian/control: remove dependencies: autotools-dev, dh-autoreconf
  * debian/control: increase soname

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 06 Feb 2018 18:59:19 +0100

libctl (3.2.2-4) unstable; urgency=medium

  * debian/rules: revert -fPIC patch (Closes: #842108)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 03 Nov 2016 20:00:26 +0100

libctl (3.2.2-3) unstable; urgency=medium

  * debian/copyright: reorder to calm lintian
  * debian/control: add ${misc:Pre-Depends} instead of multiarch-suppport
  * debian/control: bump standard to 3.9.8 (no change)
  * debian/rules: build everything with -fPIC (Closes: #837568)
  * remove false positive overrides libctl-doc.lintian-overrides

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 22 Oct 2016 12:00:26 +0200

libctl (3.2.2-2) unstable; urgency=medium

  * debian/control: libctl-dev needs to debpend on guile 2.0 as well

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 02 May 2014 18:00:26 +0200

libctl (3.2.2-1) unstable; urgency=medium

  * upload to unstable (Closes: #722791)
  * new upstream release (Closes: #743467)
  * debian/control: bump standard to 3.9.5 (no change)
  * debian/control: really use guile 2.0 now (Closes: #738318, #746004)
  * debian/rules: use --with autoreconf (Closes: #744604)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 02 May 2014 11:00:26 +0200

libctl (3.2.1-3) UNRELEASED; urgency=medium

  * upload to unstable
  * debian/control: bump standard to 3.9.5 (no change)
  * use autotools-dev (debian/control, debian/rules)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 29 Dec 2013 16:00:26 +0100

libctl (3.2.1-2) experimental; urgency=low

  * debian/control: remove DM-Upload-Allowed
  * debian/control: use guile 1.8 now
                    libctl is needed by mpb, the rc1 of 1.5 does not
                    really work with guile 2.0

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 23 Nov 2012 18:00:26 +0100

libctl (3.2.1-1) experimental; urgency=low

  * new upstream release
  * debian/control: add conflict to libctl3 (Closes: #684030)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 10 Aug 2012 18:00:26 +0200

libctl (3.2-1) experimental; urgency=low

  * Imported Upstream version 3.2, new upstream release (Closes: #682254)
  * debian/rules: get-orig-source added
  * debian/control: using dh 9
  * debian/control: bump standard to 3.9.3 (no change)
  * debian/copyright: correct version
  * debian/control: use guile 2.0 now
  * debian/*.install: use multiarch path

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 24 Jul 2012 18:00:26 +0200

libctl (3.1.0-5) unstable; urgency=low

  * debian/rules: use cp instead of install

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 13 Dec 2011 18:30:25 +0100

libctl (3.1.0-4) unstable; urgency=low

  * debian/control: moved to dh 8
  * debian/control: remove dependency on dpatch
  * debian/control: remove dependency on cdbs
  * debian/control: standards version 3.9.2, no changes
  * debian/source: switch to format 3.0 (quilt)
  * debian/README.source: moved to quilt
  * debian/copyright: changed to DEP5 format
  * debian/patches: moved from dpatch to quilt

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 12 Dec 2011 18:44:32 +0100

libctl (3.1.0-3) unstable; urgency=low

  * *.la files removed (Closes: #621516)
  * Standards-Version changed to 3.9.1 (no changes needed)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 09 Apr 2011 19:00:01 +0200

libctl (3.1.0-2) unstable; urgency=low

  * Standards-Version changed to 3.8.3 (no changes needed)
  * patch in configure for sh4 added (Closes: #555525)
  * debian/README.source added
  * debian/control: DM-Upload-Allowed added

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 09 Dec 2009 19:00:01 +0100

libctl (3.1.0-1) unstable; urgency=low

  * new upstream release
    - New ellipsoid_overlap_with_object function, analogous to
      box_overlap_with_object function.
    - Bug fix in include function for recent versions of Guile, to properly
      keep track of the current include directory.
    - Bug fix in numerical-derivative routine, which didn't converge when the
      error was exactly zero.
  * as there is no NLopt package availabe, NLopt is disabled
  * changed Standards-Version to 3.8.2
  * changed copyright notice from GPL to GPL-2 (pedantic lintian hint)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 29 Jul 2009 19:00:01 +0100

libctl (3.0.3-3) unstable; urgency=low

  * added ldconfig in postinst and postrm to meet requirements
    of policy 8.1.1
  * switched from guile-1.6 to guile-1.8 (Closes: #518804)
    patch from Evan Broder
  * changed Standards-Version to 3.8.1

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Apr 2009 21:30:01 +0100

libctl (3.0.3-2) unstable; urgency=low

  * removed lintian warnings:
    - added watch file
    - symbols control file added
    - dependency for misc:Depends added in control file

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 30 Jan 2009 19:45:01 +0100

libctl (3.0.3-1) unstable; urgency=low

  * New upstream release
  * New maintainer (Closes: #481039)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Jul 2008 18:30:01 +0200

libctl (3.0.2-1) unstable; urgency=low

  * New upstream release
  * New maintainer (Closes: #393104)

 -- Loic Le Guyader <loic.leguyader@laposte.net>  Sun, 12 Nov 2006 10:29:01 +0100

libctl (3.0.1-2) unstable; urgency=low

  * Orphan package.

 -- Josselin Mouette <joss@debian.org>  Sun, 15 Oct 2006 03:15:32 +0200

libctl (3.0.1-1) unstable; urgency=low

  * New upstream release (closes: #361676).
  * Major rework of the debian/ directory. Switch to cdbs.
  * Migrate Scheme files to a versioned location to allow several
    versions to be installed at once.
  * Write a Makefile to put with the example.
  * Update copyright, the library is now GPL.
  * Use gfortran for the F77 wrappers.
  * Standards-version is 3.7.0.

 -- Josselin Mouette <joss@debian.org>  Mon,  1 May 2006 20:25:01 +0200

libctl (2.2-3) unstable; urgency=low

  * Build-depend on guile 1.6.
  * Standards version 3.5.8.
  * Use debhelper mode 4 and dh_install.
  * Corrected short descriptions.
  * configure.ac: suppress that crappy -lctl in $LIBS.
  * re-ran autoconf.
  * base/Makefile.in: link libctl with its dependencies.
  * examples/Makefile.in: add -lctl.
  * Changed library package name to libctl2scm16 to prevent breakage.

 -- Josselin Mouette <joss@debian.org>  Wed,  5 Feb 2003 12:47:33 +0100

libctl (2.2-2) unstable; urgency=low

  * Created a libctl-doc package, containing HTML documentation and the
    example.
  * debian/control: fixed minor typo.

 -- Josselin Mouette <joss@debian.org>  Fri, 13 Sep 2002 14:54:29 +0200

libctl (2.2-1) unstable; urgency=low

  * New upstream release
  * debian/rules: a bit of cleaning, also added a -V to dh_makeshlibs
  * debian/control: moved standards version to 3.5.7

 -- Josselin Mouette <joss@debian.org>  Fri, 13 Sep 2002 11:09:48 +0200

libctl (2.1-3) unstable; urgency=low

  * Makefile.in: removal of base/f77_func.h
  * debian/control: moved libctl2 to section libs.

 -- Josselin Mouette <joss@debian.org>  Wed, 19 Jun 2002 12:04:34 +0200

libctl (2.1-2) unstable; urgency=low

  * debian/control: changed maintainer email.
  * debian/control: corrected typo.
  * First upload to Debian (closes: #143264).

 -- Josselin Mouette <joss@debian.org>  Wed, 17 Apr 2002 10:36:45 +0200

libctl (2.1-1) unstable; urgency=low

  * New upstream release

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Thu, 21 Mar 2002 10:59:10 +0100

libctl (2.0-1) unstable; urgency=low

  * New upstream release

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Tue, 12 Mar 2002 13:41:48 +0100

libctl (1.5-1) unstable; urgency=low

  * New upstream release

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Mon, 19 Nov 2001 12:39:18 +0100

libctl (1.4.1-1) unstable; urgency=low

  * Initial Release.

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Tue, 23 Oct 2001 15:01:46 +0200
